Ogv videos doesn't show any image on Phabricator (as "application/ogg" is listed under files.audio-mime-types by default)
Closed, ResolvedPublic

Description

Upstream ticket: https://secure.phabricator.com/T6916 (merged from https://secure.phabricator.com/T6674 )

The screencast on T62541#649353 (from https://old-bugzilla.wikimedia.org/show_bug.cgi?id=60541#c1) doesn't work for me on Firefox or Chrome.
The source code shows it is an <audio> tag, but since the attachment is a screencast (containing only video), this doesn't look right.

He7d3r created this task.Nov 26 2014, 11:38 AM
He7d3r updated the task description. (Show Details)
He7d3r raised the priority of this task from to Needs Triage.
He7d3r changed Security from none to None.
He7d3r added subscribers: He7d3r, Aklapper.
Qgil triaged this task as Normal priority.Nov 26 2014, 11:39 AM
Qgil added a project: Phabricator.
Qgil added a project: Phabricator (Upstream).
Qgil added a subscriber: Qgil.

Setting as Normal to check whether this problem is specific to our instance, something to be fine tuned in the configuration, or something that Phabricator is simply lacking.

Have there been more cases of this, or why is the plural in the summary?

F12838 was "video/ogg" mimetype in BZ, now is "application/ogg" in Phab, with "Viewable Image: No"

Searching for other screencasts, I found F14772 (on T74687) and F7799 (on T30057) with the same problem.

TheDJ added a subscriber: TheDJ.Nov 26 2014, 2:30 PM

Not surprising, this is a mess in MW as well. Requires file inspection if you want to know things like this for sure. :)

Qgil lowered the priority of this task from Normal to Low.Nov 27 2014, 9:00 AM

For what is worth, https://phabricator.wikimedia.org/config/group/files/ doesn't mention "ogv". This is the closest:

files.viewable-mime-types
Customized
Configure which MIME types are viewable in the browser.
Current Value: {
... 
"application/ogg"          : "application/ogg",


files.audio-mime-types
Configure which MIME types are audio.
Current Value: {
...
"application/ogg" : true,

There are no video-mime-types, but I don't know how relevant this is.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Nov 27 2014, 9:00 AM

Seems that Phab does not support including video directly, only audio. As such ogg should be removed from the audio types, and viewable types, since ogg can be both audio and video and in our context quite often actually is video...

Qgil added a comment.Nov 27 2014, 10:16 AM

Do you want to help me testing this in http://phab-01.wmflabs.org first? Just upload the ogg files you want to test, and then I can tweak the configuration there. When we are sure that works, we can change the configuration here.

I propose to simply remove the "application/ogg" entry from files.audio-mime-types.

I tried that on my local Phab instance and Phab indeed does not offer that (non-working audio) preview anymore in the task view. Instead when clicking the (now shown) link to the file in the task, the video is immediately played in Firefox 33.

Seeing this result, I probably should propose the same change in upstream (assuming that Phabricator isn't an audio but video-based fun adventure game).

Aklapper renamed this task from Ogv videos doesn't show any image on Phabricator to Ogv videos doesn't show any image on Phabricator (as "application/ogg" is listed under files.audio-mime-types by default).Dec 2 2014, 3:08 PM
Aklapper updated the task description. (Show Details)Dec 2 2014, 3:25 PM

Adding Easy as we could have a custom downstream patch for this.

brion added a subscriber: brion.Jul 21 2015, 12:58 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:05 PM
Quiddity updated the task description. (Show Details)Jun 7 2016, 7:04 PM

upstream just added video playback support: https://secure.phabricator.com/D11297

Aklapper closed this task as Resolved.Jun 16 2016, 8:56 AM
Aklapper claimed this task.

Testcase in https://phabricator.wikimedia.org/T62541#649353 shows a preview image and plays an embedded video in Firefox 47 for me now. Same for testcase in https://phabricator.wikimedia.org/T117759

Hence closing as resolved.